/*
 * version.c -- An HP-2000 Timeshared BASIC System tape manipulation program.
 *
 * Copyright (c) 2005, Scott G. Taylor
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * SCOTT G. TAYLOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * Except as contained in this notice, the name of Scott G. Taylor shall not
 * be used in advertising or otherwise to promote the sale, use or other dealings
 * in this Software without prior written authorization from Scott G. Taylor.
 */

/*
 * Version changes - See the CHANGELOG file for specifics:
 *	1.0	staylor	20050809	Initial revision.
 *	1.1				Change to -f command-line option to
 *					accomodate multi-tape volumes for
 *					2000/F and 2000/ACCESS.
 *	1.2	staylor	20050901	Add support for 2000E SDUMP.
 *	1.21	staylor	20050902	Fixes for 2000E diag output and debugging.
 *	1.22	staylor	20050909	Handle a single reel from a multi-reel ACCESS volume.
 *	1.23	staylor	20050913	Added tsbc, a command to convert extracted tokenized
 *					files to ASCII (adding, by default .ascii to the file name).
 *	1.24	staylor 20050914	First implementation of Tape Create (-c) functionality.
 *	1.25	staylor	20050915	Cleaned up Tape Create functionality and added as much
 *					input-file checking as possible to ensure the files are
 *					TSB-tokenized data.
 *	1.26	staylor	20050917	Split tsb_create from main.
 *	1.30	staylor 20050929	Add tokenization capabilities.
 *	1.31	staylor	20050930	Add MAT tokenizations.  All 2000/ACCESS TSB syntax believed complete.
 *	1.32	staylor	20051001	Add tokenization function to tsb (-T) for use with -c.
 *					Tokenization error messages revamped.
 *	1.33	staylor 20051010	MAT fixups, HP floating conversions and display fixups.
 */

#define	TSB_VERSION	1.33

const char *version = "tsb Version 1.32 2005/10/10 08:13:08 CST staylor@mrynet.com";
